Last Comment Bug 886181 - Pref on gstreamer backend
: Pref on gstreamer backend
Status: RESOLVED FIXED
: dev-doc-needed
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: unspecified
: x86_64 Linux
: -- normal with 5 votes (vote)
: mozilla26
Assigned To: Edwin Flores [:eflores] [:edwin]
:
:
Mentors:
Depends on: 932813 794282 876574 884651 886129 887137 889699 898910 912854 959007 960599 961937
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 17:08 PDT by Edwin Flores [:eflores] [:edwin]
Modified: 2014-02-27 09:52 PST (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
26+


Attachments
enable-gstreamer.patch (916 bytes, patch)
2013-09-11 15:04 PDT, Edwin Flores [:eflores] [:edwin]
cpearce: review+
Details | Diff | Splinter Review

Description Edwin Flores [:eflores] [:edwin] 2013-06-23 17:08:39 PDT
Using this bug to keep track of everything in the way of preffing gstreamer on by default.
Comment 1 Markus Popp 2013-08-04 22:18:49 PDT
Now that Gstreamer almost seems finished, I see no progress anymore. How about finishing this?
Comment 2 Chris Pearce (:cpearce) 2013-08-04 22:42:57 PDT
The GStreamer backend is preffed on for some mochitests, and it's failing them a lot, so we should get those tests fixed before we pref it on by default.
Comment 3 Edwin Flores [:eflores] [:edwin] 2013-09-11 15:04:14 PDT
Created attachment 803319 [details] [diff] [review]
enable-gstreamer.patch
Comment 4 Chris Pearce (:cpearce) 2013-09-11 15:35:26 PDT
Comment on attachment 803319 [details] [diff] [review]
enable-gstreamer.patch

Review of attachment 803319 [details] [diff] [review]:
-----------------------------------------------------------------

Ship it!
Comment 5 Edwin Flores [:eflores] [:edwin] 2013-09-11 16:24:49 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/0192ffffc633
Comment 6 Ed Morley [:emorley] 2013-09-12 04:13:08 PDT
https://hg.mozilla.org/mozilla-central/rev/0192ffffc633
Comment 7 Anthony Jones (:kentuckyfriedtakahe, :k17e) 2013-09-17 16:43:56 PDT
Good news. We now support H.264 on Linux if the appropriate gstreamer plug-ins are installed.

Note You need to log in before you can comment on or make changes to this bug.